%
% Make Figure 3:
%   PSNR v. QP for all transforms on STEFAN
%
% For Help:
%   doc plot
%   doc Line Properties
%   doc xtick
%
clear all;
QP = 0:51;



load('stefanQP_PSNR_R_hot44S2','PSNR_R');
PSNR_hot44s = PSNR_R;

load('stefanQP_PSNR_R_hot44N2','PSNR_R');
PSNR_hot44n = PSNR_R;

load('stefanQP_PSNR_R_h264.mat','PSNR_R');
PSNR_h264 = PSNR_R;

%load('stefanQP_PSNR_R_dct44','PSNR_R');
%PSNR_dct2 = PSNR_R;








figure(3);
%p1 = semilogy(QP,PSNR_hot44s,QP,PSNR_hot44n,QP,PSNR_h264,QP,PSNR_hot88s);
p1 = semilogy(QP,PSNR_hot44s,QP,PSNR_hot44n,QP,PSNR_h264);

xlim([0 52])
ylim([70 135]);

p1(1).LineWidth = 3;
p1(2).LineWidth = 3;
p1(3).LineWidth = 3;



xlabel('Quantization Parameter QP','FontSize',12);
ylabel('PSNR, dB','FontSize',12);
leg = legend('Hirsch 4\times 4 Separable',...
        'Hirsch 4\times 4 Nonseparable',...
        'H.264 4\times 4',...
        'FontSize',12);
title(leg,'STEFAN Y COMPONENT');

